#include<stdio.h>
#define MAX_NIZA 21
int izbaci(char a[], int k)
{
	int i, brojac=0;
	for(i=0;a[i];i++)
		brojac++;
	if(k<0 || k>=brojac)
		return 0;	
	for(i=k;i<brojac;i++)
		a[i]=a[i+1];
	return 1;
	
}

int main()
{
	int poz, resenje;
	char rec[MAX_NIZA];
	scanf("%d", &poz); 
	scanf("%s", &rec); 
	resenje=izbaci(rec, poz); 
	if(resenje==0) 
		printf("-1\n");
	else if(resenje==1)
	{
		printf("1\n");
		printf("%s\n", rec);
	}
	return 0;
} 
